com.marklogic.http

## Class BMBoundaryPartSplitter

- java.lang.Object
- - com.marklogic.http.BMBoundaryPartSplitter

- All Implemented Interfaces:
    MultipartSplitter

      public class BMBoundaryPartSplitter
      extends java.lang.Object
      implements MultipartSplitter

- - ### Field Summary

    - ### Fields inherited from interface com.marklogic.http.MultipartSplitter

      `DEF_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BMBoundaryPartSplitter(java.io.InputStream inputStream, byte[] boundary, int bufSize)`
    `BMBoundaryPartSplitter(java.io.InputStream inputStream, byte[] boundary, int bufSize, java.util.logging.Logger loggerArg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `long` | `getTotalBytesRead()`
    `boolean` | `hasNext()`
    `void` | `next()`
    `int` | `read()`
    `int` | `read(byte[] buffer, int offsetArg, int length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BMBoundaryPartSplitter

          public BMBoundaryPartSplitter(java.io.InputStream inputStream,
                                        byte[] boundary,
                                        int bufSize,
                                        java.util.logging.Logger loggerArg)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### BMBoundaryPartSplitter

          public BMBoundaryPartSplitter(java.io.InputStream inputStream,
                                        byte[] boundary,
                                        int bufSize)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getTotalBytesRead

          public long getTotalBytesRead()

      Specified by:
        `getTotalBytesRead` in interface `MultipartSplitter`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `MultipartSplitter`
      Throws:
        `java.io.IOException`

    - #### hasNext

          public boolean hasNext()
                          throws java.io.IOException

      Specified by:
        `hasNext` in interface `MultipartSplitter`
      Throws:
        `java.io.IOException`

    - #### next

          public void next()
                    throws java.io.IOException

      Specified by:
        `next` in interface `MultipartSplitter`
      Throws:
        `java.io.IOException`

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in interface `MultipartSplitter`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] buffer,
                          int offsetArg,
                          int length)
                   throws java.io.IOException

      Specified by:
        `read` in interface `MultipartSplitter`
      Throws:
        `java.io.IOException`

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com